Package org.eclipse.rdf4j.repository.dataset

## Class DatasetRepositoryConnection

- java.lang.Object
- - org.eclipse.rdf4j.repository.base.AbstractRepositoryConnection
  - - org.eclipse.rdf4j.repository.base.RepositoryConnectionWrapper
    - - org.eclipse.rdf4j.repository.dataset.DatasetRepositoryConnection

- All Implemented Interfaces:
    `AutoCloseable`, `DelegatingRepositoryConnection`, `RepositoryConnection`

      public class DatasetRepositoryConnection
      extends RepositoryConnectionWrapper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.repository.base.AbstractRepositoryConnection

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DatasetRepositoryConnection​(DatasetRepository repository, SailRepositoryConnection delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BooleanQuery` | `prepareBooleanQuery​(QueryLanguage ql, String query, String baseURI)` | Prepares queries that return true or false.
    `GraphQuery` | `prepareGraphQuery​(QueryLanguage ql, String query, String baseURI)` | Prepares queries that produce RDF graphs.
    `Query` | `prepareQuery​(QueryLanguage ql, String query, String baseURI)` | Prepares a query for evaluation on this repository (optional operation).
    `TupleQuery` | `prepareTupleQuery​(QueryLanguage ql, String query, String baseURI)` | Prepares a query that produces sets of value tuples.

    - ### Methods inherited from class org.eclipse.rdf4j.repository.base.RepositoryConnectionWrapper

      `add, add, add, add, add, add, add, add, addWithoutCommit, begin, begin, begin, clear, clearNamespaces, close, commit, exportStatements, exportStatements, getContextIDs, getDelegate, getIsolationLevel, getNamespace, getNamespaces, getStatements, hasStatement, hasStatement, isActive, isAutoCommit, isDelegatingAdd, isDelegatingRead, isDelegatingRemove, isEmpty, isOpen, prepare, prepareUpdate, remove, remove, remove, remove, removeNamespace, removeWithoutCommit, rollback, setAutoCommit, setDelegate, setIsolationLevel, setNamespace, setParserConfig, size`

    - ### Methods inherited from class org.eclipse.rdf4j.repository.base.AbstractRepositoryConnection

      `addWithoutCommit, conditionalCommit, conditionalRollback, export, getParserConfig, getRepository, getValueFactory, prepareBooleanQuery, prepareGraphQuery, prepareQuery, prepareTupleQuery, prepareUpdate, removeWithoutCommit, startLocalTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.repository.RepositoryConnection

      `add, add, add, add, add, add, add, export, getParserConfig, getRepository, getStatements, getValueFactory, prepareBooleanQuery, prepareBooleanQuery, prepareGraphQuery, prepareGraphQuery, prepareQuery, prepareQuery, prepareTupleQuery, prepareTupleQuery, prepareUpdate, prepareUpdate, remove`

- - ### Constructor Detail

    - #### DatasetRepositoryConnection

          public DatasetRepositoryConnection​(DatasetRepository repository,
                                             SailRepositoryConnection delegate)

  - ### Method Detail

    - #### prepareBooleanQuery

          public BooleanQuery prepareBooleanQuery​(QueryLanguage ql,
                                                  String query,
                                                  String baseURI)
                                           throws MalformedQueryException,
                                                  RepositoryException

      Description copied from interface: `RepositoryConnection`
      Prepares queries that return true or false.
      Specified by:
        `prepareBooleanQuery` in interface `RepositoryConnection`
      Overrides:
        `prepareBooleanQuery` in class `RepositoryConnectionWrapper`
      Parameters:
        `ql` - The `query language` in which the query is formulated.
        `query` - The query string.
        `baseURI` - The base URI to resolve any relative URIs that are in the query against, can be null if the query does not contain any relative URIs.
      Returns:
        a `BooleanQuery` ready to be evaluated on this `RepositoryConnection`.
      Throws:
        `MalformedQueryException` - If the supplied query is malformed.
        `RepositoryException`

    - #### prepareGraphQuery

          public GraphQuery prepareGraphQuery​(QueryLanguage ql,
                                              String query,
                                              String baseURI)
                                       throws MalformedQueryException,
                                              RepositoryException

      Description copied from interface: `RepositoryConnection`
      Prepares queries that produce RDF graphs.
      Specified by:
        `prepareGraphQuery` in interface `RepositoryConnection`
      Overrides:
        `prepareGraphQuery` in class `RepositoryConnectionWrapper`
      Parameters:
        `ql` - The `query language` in which the query is formulated.
        `query` - The query string.
        `baseURI` - The base URI to resolve any relative URIs that are in the query against, can be null if the query does not contain any relative URIs.
      Returns:
        a `GraphQuery` ready to be evaluated on this `RepositoryConnection`.
      Throws:
        `MalformedQueryException` - If the supplied query is malformed.
        `RepositoryException`

    - #### prepareQuery

          public Query prepareQuery​(QueryLanguage ql,
                                    String query,
                                    String baseURI)
                             throws MalformedQueryException,
                                    RepositoryException

      Description copied from interface: `RepositoryConnection`
      Prepares a query for evaluation on this repository (optional operation).

      If you already know the type of query, using the more specific `RepositoryConnection.prepareTupleQuery(java.lang.String)`, `RepositoryConnection.prepareGraphQuery(java.lang.String)` or `RepositoryConnection.prepareBooleanQuery(java.lang.String)` is likely to be more efficient.

      Specified by:
        `prepareQuery` in interface `RepositoryConnection`
      Overrides:
        `prepareQuery` in class `RepositoryConnectionWrapper`
      Parameters:
        `ql` - The `query language` in which the query is formulated.
        `query` - The query string.
        `baseURI` - The base URI to resolve any relative URIs that are in the query against, can be null if the query does not contain any relative URIs.
      Returns:
        A query ready to be evaluated on this repository.
      Throws:
        `MalformedQueryException` - If the supplied query is malformed.
        `RepositoryException`

    - #### prepareTupleQuery

          public TupleQuery prepareTupleQuery​(QueryLanguage ql,
                                              String query,
                                              String baseURI)
                                       throws MalformedQueryException,
                                              RepositoryException

      Description copied from interface: `RepositoryConnection`
      Prepares a query that produces sets of value tuples.
      Specified by:
        `prepareTupleQuery` in interface `RepositoryConnection`
      Overrides:
        `prepareTupleQuery` in class `RepositoryConnectionWrapper`
      Parameters:
        `ql` - The `query language` in which the query is formulated.
        `query` - The query string.
        `baseURI` - The base URI to resolve any relative URIs that are in the query against, can be null if the query does not contain any relative URIs.
      Returns:
        a `TupleQuery` ready to be evaluated on this `RepositoryConnection`.
      Throws:
        `MalformedQueryException` - If the supplied query is malformed.
        `RepositoryException`